# $Revision: 1.7 $, $Date: 2009/09/14 06:43:42 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	ExtUtils
%define	pnam	ParseXS
Summary:	ExtUtils::ParseXS - converts Perl XS code into C code
Summary(pl.UTF-8):	ExtUtils::ParseXS - przekształcanie kodu Perl XS do C
Name:		perl-ExtUtils-ParseXS
Version:	2.2002
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/ExtUtils/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	96446b90880defc2200a8acfb9a6dfb8
URL:		http://search.cpan.org/dist/ExtUtils-ParseXS/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-ExtUtils-CBuilder
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ExtUtils::ParseXS will compile XS code into C code by embedding the
constructs necessary to let C functions manipulate Perl values and
creates the glue necessary to let Perl access those functions. The
compiler uses typemaps to determine how to map C function parameters
and variables to Perl values.

%description -l pl.UTF-8
ExtUtils::ParseXS kompiluje kod XS do kodu C osadzając konstrukcje
umożliwiające funkcjom w C operowanie na wartościach perlowych, a
także tworzy kod sklejający umożliwiający Perlowi dostęp do tych
funkcji. Kompilator wykorzystuje plik typemaps do określenia sposobu
odwzorowywania parametrów funkcji i zmiennych C na wartości perlowe.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/ExtUtils/ParseXS.pm
%{_mandir}/man3/ExtUtils::ParseXS.3*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-ExtUtils-ParseXS.spec,v $
Revision 1.7  2009/09/14 06:43:42  amateja
- updated to 2.2002

Revision 1.6  2008/12/11 13:32:39  radek
- version 2.19

Revision 1.5  2007/04/30 11:43:19  radek
- version 2.18

Revision 1.4  2007/03/31 19:59:12  qboosh
- BR: perl-Module-Build

Revision 1.3  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.2  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.1  2006/12/22 11:13:57  qboosh
- new
